Bug 153489 - [patch] www/libmicrohttpd -- update to 0.9.4
Summary: [patch] www/libmicrohttpd -- update to 0.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-28 13:40 UTC by Pietro Cerutti
Modified: 2011-01-17 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.88 KB, patch)
2010-12-28 13:40 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2010-12-28 13:40:12 UTC
Update to 0.9.4 + PORTREVISION bump of dependent ports.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-28 13:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-12-28 13:40:22 UTC
Maintainer of www/libmicrohttpd,

Please note that PR ports/153489 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153489

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-12-28 13:40:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Pietro Cerutti freebsd_committer 2011-01-14 11:20:21 UTC
Responsible Changed
From-To: gahr->ohauer

Would you mind to commit the part of my patch that relates to TLS?
Comment 5 Olli Hauer freebsd_committer 2011-01-16 14:28:09 UTC
Oh, I haven't seen this PR before...

Is it OK if we make gnutls optional and defaults to OFF?

This way we are "Feature save" (ports freeze) and users can
choose if they want SSL support or not.

PS:
I include the new port maintainer to the conversation.

The following patch add your changes for SSL support but
makes it optional.

I've uploaded the patch additional
http://people.freebsd.org/~ohauer/diffs/PR_153489_libmicrohttpd.diff



--- PR_153489_libmicrohttpd.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/www/libmicrohttpd/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- Makefile    9 Jan 2011 12:07:15 -0000       1.6
+++ Makefile    16 Jan 2011 14:04:45 -0000
@@ -9,12 +9,21 @@
 PORTVERSION=   0.9.4
 CATEGORIES=    www
 MASTER_SITES=  ${MASTER_SITE_GNU}
-MASTER_SITE_SUBDIR=    libmicrohttpd
+MASTER_SITE_SUBDIR=    ${PORTNAME}

 MAINTAINER=    gaod@hychen.org
 COMMENT=       C library for embedding HTTP server functionality

 LICENSE=       LGPL21
+
+OPTIONS=       GNUTLS "Build with gnutls to support ssl" off
+.include <bsd.port.options.mk>
+
+.if defined(WITH_GNUTLS)
+LIB_DEPENDS=   gnutls.40:${PORTSDIR}/security/gnutls
+CONFIGURE_ARGS+=--with-gnutls=${LOCALBASE} --enable-https
+.endif
+
 USE_LDCONFIG=  yes
 GNU_CONFIGURE= yes
 MAKE_ARGS+=    pkgconfigdir=${PREFIX}/libdata/pkgconfig
Index: pkg-descr
===================================================================
RCS file: /home/pcvs/ports/www/libmicrohttpd/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- pkg-descr   14 Feb 2008 06:44:10 -0000      1.1
+++ pkg-descr   16 Jan 2011 14:04:45 -0000
@@ -3,4 +3,4 @@
 permits listening on multiple ports. The API is simple and still powerful
 enough to allow programmers to use the entire HTTP feature set.

-WWW: http://gnunet.org/libmicrohttpd/
+WWW: http://www.gnu.org/software/libmicrohttpd/
Index: files/patch-Makefile.in
===================================================================
RCS file: files/patch-Makefile.in
diff -N files/patch-Makefile.in
--- files/patch-Makefile.in     17 Aug 2009 20:18:58 -0000      1.1
+++ /dev/null   1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- Makefile.in.orig   2009-08-15 14:59:45.000000000 -0300
-+++ Makefile.in        2009-08-15 15:00:14.000000000 -0300
-@@ -217,7 +217,7 @@
- ACLOCAL_AMFLAGS = -I m4
- SUBDIRS = contrib src doc m4 .
- EXTRA_DIST = acinclude.m4 libmicrohttpd.pc.in
--pkgconfigdir = $(libdir)/pkgconfig
-+pkgconfigdir = /usr/local/libdata/pkgconfig
- pkgconfig_DATA = libmicrohttpd.pc
- all: MHD_config.h
-       $(MAKE) $(AM_MAKEFLAGS) all-recursive
--- PR_153489_libmicrohttpd.diff ends here ---
Comment 6 Pietro Cerutti 2011-01-17 08:01:51 UTC
On 2011-Jan-16, 15:28, Olli Hauer wrote:
> Oh, I haven't seen this PR before...
> 
> Is it OK if we make gnutls optional and defaults to OFF?


Yeah that would be fine to me! I'm looking forward for you to commit it
after the maintainer has approved it :)

> I've uploaded the patch additional
> http://people.freebsd.org/~ohauer/diffs/PR_153489_libmicrohttpd.diff


I haven't tested it, but that's the idea :)

Thank you both of you!

-- 
Pietro Cerutti
The FreeBSD Project
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp
Comment 7 Olli Hauer freebsd_committer 2011-01-17 20:06:05 UTC
State Changed
From-To: feedback->closed

Committed the gnutls part, 
PORTREVISION of the other ports was already bumped with the 
update from PR ports/153530
Comment 8 dfilter service freebsd_committer 2011-01-17 20:18:54 UTC
ohauer      2011-01-17 20:05:33 UTC

  FreeBSD ports repository

  Modified files:
    www/libmicrohttpd    Makefile pkg-descr 
  Removed files:
    www/libmicrohttpd/files patch-Makefile.in 
  Log:
   - add option to build with gnutls (ssl support)
   - remove patchfile
   - change URI in pkg-descr
   - bump PORTREVISION
  
  PR:             ports/153489
  Submitted by:   Pietro Cerutti <gahr _at_ FreeBSD.org>
  Approved by:    Hung-Yi Chen <gaod _at_ hychen.org> (maintainer) per mail
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +11 -1     ports/www/libmicrohttpd/Makefile
  1.2       +0 -11     ports/www/libmicrohttpd/files/patch-Makefile.in (dead)
  1.2       +1 -1      ports/www/libmicrohttpd/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"